#include<iostream>
#include<vector>
#include<iomanip>
#include<algorithm>
using namespace std;
void unos(vector<int>& a,int n,vector<double>& p)
{
    for(int i=0;i<n;i++)
    {
        cin>>a[i]>>p[i];
    }
}
double frilens(vector<int>a,vector<double>p,int n)
{
    double s,maks=0;
    for(int i=0;i<n;i++)
    {
        s=0;
        for(int j=0;j<n;j++)
        {
            if(p[j]>=p[i]) s+=(a[j]/100.0)*p[i];
        }
        maks=max(maks,s);
    }
    return maks;
}
int main()
{
    ios_base::sync_with_stdio(false);
    int n;
    cin>>n;
    vector<int>a(n);
    vector<double>p(n);
    unos(a,n,p);
    cout<<fixed<<setprecision(4)<<frilens(a,p,n);
    return 0;
}